#
# spec file for package python-publicsuffixlist
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-publicsuffixlist
Version:        0.9.1
Release:        1.4
Summary:        Public suffix list implementaion in Python
License:        MPL-2.0
Group:          Development/Languages/Python
URL:            https://github.com/ko-zu/psl
Source:         https://files.pythonhosted.org/packages/source/p/publicsuffixlist/publicsuffixlist-%{version}.tar.gz
# PATCH-FIX-OPENSUSE change_psl_location.patch -- use list from publicsuffix package
Patch0:         change_psl_location.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION tests
BuildRequires:  publicsuffix
# /SECTION
Requires:       publicsuffix
Recommends:     python-requests
BuildArch:      noarch

%python_subpackages

%description
Parser implementation for the Public Suffix List <https://publicsuffix.org/> in Python.

Support for IDN (unicode or punycoded).

%prep
%setup -q -n publicsuffixlist-%{version}
%patch0 -p1
sed -i '/public_suffix_list\.dat/ d' setup.py
rm publicsuffixlist/update.py

%build
%python_build

%install
%python_install
rm %{buildroot}%{_bindir}/publicsuffixlist-download
%{python_expand rm -f %{buildroot}%{$python_sitelib}/publicsuffixlist/test* %{buildroot}%{$python_sitelib}/publicsuffixlist/__pycache__/test*
%fdupes %{buildroot}%{$python_sitelib}
}

%check
%pyunittest discover -v

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Oct 28 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.9.1
  * Use underscore in setup.cfg format
* Tue Oct  4 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version to 0.9.0
  * Update PSL
  * Add tests for accept_unknown as method argument
  * Fix using a non-default accept_unknown in privatesuffix()
- Update to version to 0.8.0
  * Update PSL
  * Ensure privateparts returns lowercase labels
  * Fix is_public for upper case input
  * Fix lowercase for TLD only suffix
  * Update PSL
  * Update PSL
  * Update PSL
  * Increment version
  * Update PSL
  * Add testcase for wildcard match
  * Update test data and readme link
  * Update PSL
  * Update PSL
  * Migrate CI to travis-ci.com
  * Update PSL
  * Update PSL
  * Update PSL
  * Update PSL
* Thu Dec 16 2021 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 0.7.11:
  - Add testcase for wildcard match.
  - Update test data and readme link.
  - Fixes issue #19
  - Update PSL.
- Update to version 0.7.10:
  - Update PSL.
- Update to version 0.7.9:
  - Update PSL.
* Sun May 30 2021 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 0.7.8:
  - Update PSL
* Thu May 27 2021 pgajdos@suse.com
- version update to 0.7.7
  * PSL updates
* Thu Nov 19 2020 John Vandenberg <jayvdb@gmail.com>
- Remove tests from runtime package
- Update to v0.7.3-5
  * PSL updates
* Wed Jun  3 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 0.7.2:
  * Fix PSL file timestamp offset caused by TZ.
- Update to version 0.7.1:
  * Update PSL.
- Update to version 0.7.0:
  * Drop Python 2.5 support.
  * Use file context managers.
- Update to version to 0.6.15:
  * Update PSL.
- Update to version 0.6.14:
  * Use privatesuffix instead of its alias.
  * Fix typo.
* Thu Mar 19 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.6.13
  * no changelog found
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.6.11:
  * no upstream changelog
* Tue Jul 23 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.6.9:
  * no upstream changelog
* Mon May 20 2019 pgajdos@suse.com
- version update to 0.6.7
  * no upstream changelog
* Sat Mar 16 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 0.6.5:
  * No changes
- Update to version 0.6.4:
  * No changes
* Tue Jan 15 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 0.6.3:
  * No changes
- Update to version 0.6.2:
  * No changes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon May 21 2018 sebix+novell.com@sebix.at
- update to version 0.6.1:
  - cleanup pypi descriptors
- update to version 0.6.0:
  - support for icann-only suffixes
* Mon May 14 2018 sebix+novell.com@sebix.at
- add change_psl_location.patch to use list from publicsuffix package.
* Thu Mar 29 2018 sebix+novell.com@sebix.at
- initial package for version 0.5.0
